package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoblinListDetailsItemVo implements Serializable, Cloneable{
    @ApiModelProperty(value = "spuId")
    private String spuId;
    @ApiModelProperty(value = "skuId")
    private String skuId;
    @ApiModelProperty(value = "sku名称")
    private String skuName;
    @ApiModelProperty(value = "剩余库存")
    private Integer surplusStock;

    @ApiModelProperty(value = "android价格")
    private BigDecimal price;
    @ApiModelProperty(value = "库存")
    private Integer skuStock;
    @ApiModelProperty(value = "苹果价格")
    private BigDecimal priceV;
    @ApiModelProperty(value = "苹果价格id")
    private String productId;

    private static final GoblinListDetailsItemVo obj = new GoblinListDetailsItemVo();

    public static GoblinListDetailsItemVo getNew() {
        try {
            return (GoblinListDetailsItemVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinListDetailsItemVo();
    }
}
